/***************************************
	Auteur : Pierre Aubert
	Mail : aubertp7@gmail.com
	Licence : CeCILL-C
****************************************/

#ifndef __TEMPORARY_ALLOC_H__
#define __TEMPORARY_ALLOC_H__

#include "PTensor.h"

///Swap two values
/**	@param[out] a : value will be b
 * 	@param[out] b : value will be a
*/
template<typename T>
void swapValue(T & a, T & b){
	T c(a);
	a = b;
	b = c;
}

void allocate_temporary(float *& tmpU1, float *& tmpU2, float *& tmpV1, float *& tmpV2,
			PTensor<float> & tmpInU, PTensor<float> & tmpInV, PTensor<float> & tmpOutU, PTensor<float> & tmpOutV,
			size_t nbRow, size_t nbCol);

#endif

