

# Define the base of a Phoenix project
# 	programName : name of the program/library
# 	programVersion : version of the program/library
# 	programDescritpion : description of the program/library
# 	programHomePage : home page of the program/library
function(phoenix_base_project programName programVersion programDescritpion programHomePage)
	if(NOT MODULE_MODE)
		set(PROGRAM_NAME "${programName}" CACHE STRING "name of the current project")
		set(PROGRAM_VERSION "${programVersion}" CACHE STRING "version of the current project")
		set(PROGRAM_DESCRIPTION_NO_QUOTE "${programDescritpion}" CACHE STRING "description of the current project")
		set(PROGRAM_DESCRIPTION "\"${PROGRAM_DESCRIPTION_NO_QUOTE}\"" CACHE STRING "description with double quotes of the current project")
		set(PROGRAM_HOMEPAGE "${programHomePage}" CACHE STRING "home page of the current project")
		set(LIBRARY_DIRECTORY "lib" CACHE STRING "define the library directory (especially for Fedora with the wtf lib64)")

		set(DOC_MODE no CACHE BOOL "Doc mode")
		set(NO_PERF_REFRESH yes CACHE BOOL "True to avoid rerun of perf target when they are updated")

		set(SELF_TESTS_MODE yes CACHE BOOL "Self test mode")
		message(STATUS "SELF_TESTS_MODE = ${SELF_TESTS_MODE}")
		
		set(PHOENIX_FORCE_PULL_MODULE no CACHE BOOL "Say if the submodule have to be pulled every time or not")
		
		add_definitions(--std=c++2a -Wall -Werror -g -O2)
		
		add_definitions(-D__PROGRAM_VERSION__="${PROGRAM_VERSION}")
		
		if(DOC_MODE)
			add_subdirectory(doc)
		endif()
	endif()
endfunction(phoenix_base_project)


